import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyBiannualComponent implements OnInit {
    private frequencyService;
    biannualInterval: string;
    biannualInput: number;
    biannualFailed: number;
    biannualWindow: number;
    biannualDay: number;
    biannualLifeCycleStart: Date;
    biannualLifeCycleEndTime: Date;
    biannualLifecycleOccurance: number;
    biannualSeletedLifecycleType: number;
    biannualSelected: Array<number>;
    biannualLifecycle: boolean;
    frequencyInfo: any;
    monthNameArray: Array<string>;
    shortMonth: Array<string>;
    selectedMonthly: Array<number>;
    mode: any;
    pageType: 'responsibility' | 'policy';
    startDate: number;
    frequencyData: any;
    lifecycleDetails: any;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onMonthSelected(event: any): void;
    valueChangedFirst(event: any): void;
    onTimeChanged(event: string): void;
    onValueChange(event: any): void;
    lifecycleChange(event: any): void;
    getBiannualFrequency(): void;
    getFrequencyPlaceholder(biannualInput: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyBiannualComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyBiannualComponent, "app-frequency-biannual", never, { "mode": { "alias": "mode"; "required": false; }; "pageType": { "alias": "pageType"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
